<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Anwesenheiten;

class AnwSpeichernController extends \Kufer\Web\KuferTools\Basis\AnwesenheitenKurs\AnwSpeichernController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new AnwSpeichernUseCase(
      $this->getRequestObj()
    );
  }

  protected function getToolId()
  {
    return AnwesenheitenUseCase::getToolId();
  }

  protected function getControllerToForward($pUseCaseResponse)
  {
    return new AnwesenheitenNachSpeichernController($pUseCaseResponse->knr, $pUseCaseResponse->statusMessageContainer);
  }
}